Bug 894383 - (CVE-2013-0175) CVE-2013-0175 rubygem-multi_xml: Security flaw in Symbol and YAML parameters parsing
CVE-2013-0175 rubygem-multi_xml: Security flaw in Symbol and YAML parameters ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20130110,repor...
: Security
Depends On: 894385
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-11 10:51 EST by Jan Lieskovsky
Modified: 2015-07-31 02:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-30 14:48:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-01-11 10:51:18 EST
A security flaw was found in the way multi_xml gem, a Ruby gem to provide swappable XML backends utilizing LibXML, Nokogiri, Ox, or REXML, performed Symbol and YAML parameters parsing. A remote attacker could use this flaw to execute arbitrary code with the privileges of the Ruby on Rails application using the multi_xml gem via specially-crafted HTTP POST request.

References:
[1] https://news.ycombinator.com/item?id=5040457
[2] https://gist.github.com/d7f6d9f4925f413621aa
[3] https://github.com/sferik/multi_xml/pull/34
[4] http://www.openwall.com/lists/oss-security/2013/01/11/2
[5] http://www.openwall.com/lists/oss-security/2013/01/11/7
[6] https://rubygems.org/gems/multi_xml/versions/0.5.2
Comment 1 Jan Lieskovsky 2013-01-11 10:52:47 EST
This issue affects the version of the rubygem-multi_xml package, as shipped with Fedora release of 17. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-01-11 10:53:27 EST
Created rubygem-multi_xml tracking bugs for this issue

Affects: fedora-17 [bug 894385]
Comment 3 Fedora Update System 2013-01-24 17:37:16 EST
rubygem-multi_xml-0.4.1-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-01-25 16:43:02 EST
rubygem-multi_xml-0.4.1-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.